com.io7m.jcanephora.core

## Enum JCGLBlendEquation

- java.lang.Object
- - java.lang.Enum<JCGLBlendEquation>
  - - com.io7m.jcanephora.core.JCGLBlendEquation

- All Implemented Interfaces:
    Serializable, Comparable<JCGLBlendEquation>

      public enum JCGLBlendEquation
      extends Enum<JCGLBlendEquation>

  OpenGL blend equations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLEND_EQUATION_ADD` Add the source and destination colors; `s + d`; `GL_FUNC_ADD`
    `BLEND_EQUATION_MAXIMUM` Take the maximum of the source and destination colors; `max (s, d)`; `GL_MAX`
    `BLEND_EQUATION_MINIMUM` Take the minimum of the source and destination colors; `min (s, d)`; `GL_MIN`
    `BLEND_EQUATION_REVERSE_SUBTRACT` Subtract the source from the destination colors; `d - s`; `GL_FUNC_REVERSE_SUBTRACT`
    `BLEND_EQUATION_SUBTRACT` Subtract the destination from the source colors; `s - d`; `GL_FUNC_SUBTRACT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLBlendEquation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLBlendEquation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLEND_EQUATION_ADD

          public static final JCGLBlendEquation BLEND_EQUATION_ADD

      Add the source and destination colors; `s + d`; `GL_FUNC_ADD`

    - #### BLEND_EQUATION_MAXIMUM

          public static final JCGLBlendEquation BLEND_EQUATION_MAXIMUM

      Take the maximum of the source and destination colors; `max (s, d)`; `GL_MAX`

    - #### BLEND_EQUATION_MINIMUM

          public static final JCGLBlendEquation BLEND_EQUATION_MINIMUM

      Take the minimum of the source and destination colors; `min (s, d)`; `GL_MIN`

    - #### BLEND_EQUATION_REVERSE_SUBTRACT

          public static final JCGLBlendEquation BLEND_EQUATION_REVERSE_SUBTRACT

      Subtract the source from the destination colors; `d - s`; `GL_FUNC_REVERSE_SUBTRACT`

    - #### BLEND_EQUATION_SUBTRACT

          public static final JCGLBlendEquation BLEND_EQUATION_SUBTRACT

      Subtract the destination from the source colors; `s - d`; `GL_FUNC_SUBTRACT`

  - ### Method Detail

    - #### values

          public static JCGLBlendEquation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLBlendEquation c : JCGLBlendEquation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLBlendEquation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com